Bug 111850 - UI breaks after scrolling somewhere while playing video
Summary: UI breaks after scrolling somewhere while playing video
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-08-16 09:02 UTC by Yan Pas
Modified: 2019-03-15 03:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.50 MB, video/x-matroska)
2017-08-16 11:04 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2017-08-16 09:02:31 UTC
Description:
UI widgets go mad
It is regression. In version 5.3.5 everything is fine.

Steps to Reproduce:
1. Open impress, insert video somewhere
2. Start playing video
3. Click in some other place of UI, scroll up

Actual Results:  
Window may be resized automatically, coordinated of objects are wrong etc.

Expected Results:
-


Reproducible: Always

User Profile Reset: No

Additional Info:
Linux 4.10 (Mint) Nvidia 375


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Yan Pas 2017-08-16 11:04:17 UTC
Created attachment 135586 [details]
screencast
Comment 2 Buovjaga 2017-08-31 16:08:35 UTC
Repro with GTK3. Other backends are fine.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 4082b5874adddedf8332fe977b6bb47b6949b302
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 31st 2017
Comment 3 Caolán McNamara 2017-09-04 20:20:06 UTC
I guess X (vs wayland)

Looking at playback with the preferred /usr/lib*/gstreamer-1.0/libgstgtksink.so from gstreamer-plugins-bad-free-gtk under GDK_BACKEND=x11 what I see matches that. So seems reproducible anyway which is a good start
Comment 4 Xisco Faulí 2017-09-07 14:58:36 UTC
I can reproduce it back to

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

I don't think it's a regression
Comment 5 Stephan Bergmann 2018-03-14 09:44:27 UTC
(In reply to Caolán McNamara from comment #3)
> /usr/lib*/gstreamer-1.0/libgstgtksink.so from gstreamer-plugins-bad-free-gtk

At least gstreamer1-plugins-bad-free-gtk-1.12.4-1.fc27.x86_64 only contains /usr/lib64/gstreamer-1.0/libgstgtk.so not libgstgtksink.so?
Comment 6 QA Administrators 2019-03-15 03:55:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug